> For the complete documentation index, see [llms.txt](https://docs.quicksync.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quicksync.me/qs-framework/session-api.md).

# Session API

API for creating, joining, and managing user sessions.

Session API provides a set of endpoints for group management

{% hint style="warning" %}
API is currently under active development and is subject to change. We recommend checking the documentation regularly and subscribing to updates to stay informed about any changes, deprecations, or new features that could impact your implementation.
{% endhint %}

## Create a session

> Creates a new session with the specified parameters. Pass in an identity to assume a specific name and address in the session.

```json
{"openapi":"3.0.1","info":{"title":"Session API","version":"1.1.0"},"servers":[{"url":"https://api.quicksync.me/v1"}],"security":[{"Wallet Ownership Bearer":[],"API Key":[]}],"components":{"securitySchemes":{"Wallet Ownership Bearer":{"type":"http","scheme":"bearer","in":"header","description":"Bearer schema token issued by wallet verification."}},"schemas":{"CreateSessionRequest":{"type":"object","properties":{"identity":{"$ref":"#/components/schemas/Identity"},"password":{"type":"string","nullable":true,"deprecated":true},"whiteListAddresses":{"type":"array","items":{"type":"string"},"nullable":true,"deprecated":true},"rules":{"$ref":"#/components/schemas/SessionRules"}},"additionalProperties":false},"Identity":{"type":"object","properties":{"name":{"type":"string","nullable":true},"chainAddress":{"type":"string","nullable":true}},"additionalProperties":false},"SessionRules":{"type":"object","properties":{"userCapacity":{"type":"integer","format":"int32","nullable":true},"expiryDurationInSeconds":{"type":"integer","format":"int32","nullable":true},"password":{"type":"string","nullable":true},"allowOnlyWhitelistedAddresses":{"type":"boolean","nullable":true},"whiteListAddresses":{"type":"array","items":{"$ref":"#/components/schemas/WhiteListAddressRequest"},"nullable":true}},"additionalProperties":false},"SessionCredentialsDto":{"type":"object","properties":{"sessionId":{"type":"string","nullable":true},"expiresIn":{"type":"integer","format":"int32"},"credentials":{"$ref":"#/components/schemas/CredentialsDto"},"rules":{"$ref":"#/components/schemas/SessionRulesDto"}},"additionalProperties":false},"CredentialsDto":{"type":"object","properties":{"token":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"pseudonym":{"type":"string","nullable":true},"role":{"type":"string","nullable":true}},"additionalProperties":false},"SessionRulesDto":{"type":"object","properties":{"expiry":{"type":"integer","format":"int32"},"maxFiles":{"type":"integer","format":"int32"},"maxUsers":{"type":"integer","format":"int32"},"maxTotalMegaBytes":{"type":"integer","format":"int64"},"passwordProtected":{"type":"boolean"},"whiteListAddresses":{"type":"array","items":{"$ref":"#/components/schemas/WhiteListAddressDto"},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/session":{"post":{"tags":["Session"],"summary":"Create a session","description":"Creates a new session with the specified parameters. Pass in an identity to assume a specific name and address in the session.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSessionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateSessionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateSessionRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/SessionCredentialsDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/SessionCredentialsDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/SessionCredentialsDto"}}}},"422":{"description":"Client Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

{% openapi src="/files/ds34rYKKV6pUUdjb3sEI" path="/session/join" method="post" %}
[openapi-sessions.json](https://3854228966-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FurDD06rcG5VUlokCaHZs%2Fuploads%2F0FbmOzoDBs912WI1wEBJ%2Fopenapi-sessions.json?alt=media\&token=c48d73fe-096b-4fa3-8dba-e32e20ba640d)
{% endopenapi %}

{% openapi src="/files/ds34rYKKV6pUUdjb3sEI" path="/session/current" method="get" %}
[openapi-sessions.json](https://3854228966-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FurDD06rcG5VUlokCaHZs%2Fuploads%2F0FbmOzoDBs912WI1wEBJ%2Fopenapi-sessions.json?alt=media\&token=c48d73fe-096b-4fa3-8dba-e32e20ba640d)
{% endopenapi %}

{% openapi src="/files/ds34rYKKV6pUUdjb3sEI" path="/session/current/kick" method="post" %}
[openapi-sessions.json](https://3854228966-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FurDD06rcG5VUlokCaHZs%2Fuploads%2F0FbmOzoDBs912WI1wEBJ%2Fopenapi-sessions.json?alt=media\&token=c48d73fe-096b-4fa3-8dba-e32e20ba640d)
{% endopenapi %}

{% openapi src="/files/ds34rYKKV6pUUdjb3sEI" path="/session/disconnect" method="post" %}
[openapi-sessions.json](https://3854228966-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FurDD06rcG5VUlokCaHZs%2Fuploads%2F0FbmOzoDBs912WI1wEBJ%2Fopenapi-sessions.json?alt=media\&token=c48d73fe-096b-4fa3-8dba-e32e20ba640d)
{% endopenapi %}

{% openapi src="/files/ds34rYKKV6pUUdjb3sEI" path="/session/current" method="delete" %}
[openapi-sessions.json](https://3854228966-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FurDD06rcG5VUlokCaHZs%2Fuploads%2F0FbmOzoDBs912WI1wEBJ%2Fopenapi-sessions.json?alt=media\&token=c48d73fe-096b-4fa3-8dba-e32e20ba640d)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.quicksync.me/qs-framework/session-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
